import request from '@/utils/request'

export function listMilkProdclasses(query) {
  return request({
    url: '/milkProdclasses/milkProdclasses/list',
    method: 'get',
    params: query
  })
}

export function importMilkProdclasses(data) {
  return request({
    url: '/milkProdclasses/milkProdclasses/import',
    method: 'post',
    data: data,
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}

export function exportMilkProdclasses(query) {
  return request({
    url: '/milkProdclasses/milkProdclasses/export',
    method: 'post',
    responseType: 'blob',
    params: query
  })
}
export function getRanchList() {
  return request({
    url: '/system/ranch/list',
    method: 'get'
  })
}